﻿<%@ page language="VB" autoeventwireup="false" inherits="Admin_Home, KartrisCompiled" masterpagefile="~/MasterPages/Admin.master" theme="Admin" enableEventValidation="false" viewStateEncryptionMode="Always" %>

<%@ Register TagPrefix="_user" TagName="OrderTurnoverSummary" Src="~/UserControls/Statistics/_OrderTurnoverSummary.ascx" %>
<%@ Register TagPrefix="_user" TagName="AverageHits" Src="~/UserControls/Statistics/_AverageHits.ascx" %>
<%@ Register TagPrefix="_user" TagName="AverageOrders" Src="~/UserControls/Statistics/_AverageOrders.ascx" %>
<%@ Register TagPrefix="_user" TagName="TopSearches" Src="~/UserControls/Statistics/_TopSearches.ascx" %>
<asp:Content ID="cntHead" ContentPlaceHolderID="phdHead" runat="Server">
</asp:Content>
<asp:Content ID="cntMain" ContentPlaceHolderID="phdMain" runat="Server">
    <div id="page_default">
        <_user:FeedSoftwareUpdate ID="_UC_FeedSoftwareUpdate" runat="server" />
        <asp:Panel ID="pnlLicense" runat="server">
            <_user:LicenseStatus ID="_UC_LicenseStatus" runat="server" />
        </asp:Panel>
        <h3>
            <asp:Literal ID="litContentTextKartrisNews" Text="<%$ Resources: _Kartris, ContentText_KartrisNews %>"
                runat="server" /></h3>
        <_user:FeedNews ID="_UC_FeedNews" runat="server" />
        <asp:UpdatePanel ID="updStatistics" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <div class="halfwidth" id="col1">
                    <!-- ORDERS TURNOVER -->
                    <h3>
                        <asp:Literal ID="litBackMenuOrders" Text="<%$ Resources: _Statistics, ContentText_Orders %>"
                            runat="server" />
                        <asp:HyperLink ID="lnkStats1" runat="server" NavigateUrl="~/Admin/_Stats.aspx" Text="[+]"
                            CssClass="floatright" /></h3>
                    <_user:OrderTurnoverSummary ID="_UC_OrderTurnover" runat="server" IsMiniDisplay="true" />
                    <!-- AVERAGE ORDERS TURNOVER -->
                    <h3>
                        <asp:Literal ID="litContentTextOrderValue" Text="<%$ Resources: _Orders, ContentText_OrderValue %>"
                            runat="server" />
                        (<asp:Literal ID="litContentTextAverageDailyTotal" runat="server" Text="<%$ Resources: _Statistics, ContentText_AverageDailyTotal %>" />)
                        <asp:HyperLink ID="lnkStats2" runat="server" NavigateUrl="~/Admin/_Stats.aspx" Text="[+]"
                            CssClass="floatright" /></h3>
                    <_user:AverageOrders ID="_UC_AverageOrders" runat="server" />
                </div>
                <div class="halfwidth" id="col2">
                    <!-- TOP SEARCH TERMS -->
                    <h3>
                        <asp:Literal ID="litTopSearchTermsHeader" runat="server" Text="<%$ Resources: _Statistics, ContentText_TopSearchTerms %>" />
                        (<asp:Literal ID="litContentTextLast7Days" runat="server" Text="<%$ Resources: _Kartris, ContentText_Last7Days %>" />)
                        <asp:HyperLink ID="lnkStats3" runat="server" NavigateUrl="~/Admin/_Stats.aspx" Text="[+]"
                            CssClass="floatright" /></h3>
                    <_user:TopSearches ID="_UC_TopSearches" runat="server" IsMiniDisplay="true" />
                    <!-- SHOP HITS -->
                    <h3>
                        <asp:Literal ID="litContentTextStoreHits" runat="server" Text="<%$ Resources: _Statistics, ContentText_StoreHits %>" />
                        (<asp:Literal ID="litContentTextAverageDailyTotal2" runat="server" Text="<%$ Resources: _Statistics, ContentText_AverageDailyTotal %>" />)
                        <asp:HyperLink ID="lnkStats4" runat="server" NavigateUrl="~/Admin/_Stats.aspx" Text="[+]"
                            CssClass="floatright" /></h3>
                    <_user:AverageHits ID="_UC_AverageHits" runat="server" />
                </div>
                <div class="spacer">
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
</asp:Content>
