﻿<%@ page title="" language="VB" masterpagefile="~/MasterPages/Kartris.master" autoeventwireup="false" inherits="Knowledgebase, KartrisCompiled" enableEventValidation="false" viewStateEncryptionMode="Always" %>

<asp:Content ID="cntMain" ContentPlaceHolderID="cntMain" runat="Server">
    <asp:MultiView ID="mvwMain" runat="server" ActiveViewIndex="0">
        <asp:View ID="viwExist" runat="server">
            <div class="breadcrumbtrail">
                <asp:SiteMapPath ID="smpTrail" PathSeparator="<% $Resources: Kartris, ContentText_BreadcrumbSeparator %>"
                    runat="server" SiteMapProvider="BreadCrumbSiteMap" />
            </div>
            <div id="knowledgebase">
                <asp:Panel ID="pnlSearch" runat="server" DefaultButton="btnSearchKB">
                    <h1>
                        <asp:Literal ID="litTitle" runat="server" Text="<%$ Resources: Knowledgebase, PageTitle_Knowledgebase %>" /></h1>
                    <div class="inputform">
                        <asp:Label ID="lblKeywords" runat="server" Text="<%$ Resources: Search, ContentText_Keywords %>"
                            AssociatedControlID="txtSearchKB"></asp:Label>
                        <asp:TextBox ID="txtSearchKB" runat="server" MaxLength="50" />
                        <asp:Button ID="btnSearchKB" CssClass="button" ValidationGroup="SearchKB" runat="server"
                            Text="<%$ Resources:Search, FormLabel_Search %>"></asp:Button>
                        <asp:RequiredFieldValidator ID="valSearch" runat="server" Display="Dynamic" ErrorMessage="<%$ Resources: Kartris, ContentText_RequiredField %>"
                            ValidationGroup="SearchKB" ControlToValidate="txtSearchKB" CssClass="error" ForeColor=""
                            EnableClientScript="True" /></div>
                </asp:Panel>
                <asp:UpdatePanel ID="updMain" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <asp:MultiView ID="mvwKnowledgebase" runat="server" ActiveViewIndex="0">
                            <asp:View ID="viwAbout" runat="server">
                                <br />
                                <p>
                                    <asp:Literal ID="litContentTextAboutKnowledgebase" runat="server" Text="<%$ Resources:Knowledgebase, ContentText_AboutKnowledgebase %>" />
                                </p>
                                <p>
                                    <asp:HyperLink ID="lnkFullListing" runat="server" Text="<%$ Resources:Knowledgebase, ContentText_KnowledgebaseListing %>"
                                        NavigateUrl="~/Knowledgebase.aspx?list=all" CssClass="link2" /></p>
                            </asp:View>
                            <asp:View ID="viwKBList" runat="server">
                                <h1>
                                    <asp:Literal ID="litContentTextKnowledgebaseListing" runat="server" Text="<%$ Resources:Knowledgebase, ContentText_KnowledgebaseListing %>" /></h1>
                                <div class="fulllist">
                                    <asp:Repeater ID="rptKBList" runat="server">
                                        <ItemTemplate>
                                            <p>
                                                <asp:HyperLink ID="lnkKB" runat="server" Text='<%# FormatLink(Eval("KB_ID"), Eval("KB_Name")) %>'
                                                    NavigateUrl='<%# SiteMapHelper.CreateURL(SiteMapHelper.Page.Knowledgebase, Eval("KB_ID")) %>' />
                                            </p>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </div>
                            </asp:View>
                            <asp:View ID="viwSearchResult" runat="server">
                                <div class="results">
                                    <asp:HyperLink ID="lnkListAll" runat="server" Text="<%$ Resources:Knowledgebase, ContentText_KnowledgebaseListing %>"
                                        NavigateUrl="~/Knowledgebase.aspx?list=all" CssClass="link2 floatright" />
                                    <h2>
                                        <asp:Literal ID="litTextSearchResults" runat="server" Text="<%$ Resources: Search, PageTitle_SearchResults %>"></asp:Literal>
                                    </h2>
                                    <p id="searchsummary">
                                        <asp:Literal ID="litSearchResult" runat="server"></asp:Literal></p>
                                    <asp:Repeater ID="rptSearchList" runat="server">
                                        <ItemTemplate>
                                            <div class="item">
                                                <div class="box">
                                                    <div class="pad">
                                                        <div class="details">
                                                            <h2>
                                                                <asp:HyperLink ID="lnkKB" runat="server" Text='<%# Eval("KB_Name") %>' NavigateUrl='<%# SiteMapHelper.CreateURL(SiteMapHelper.Page.Knowledgebase, Eval("KB_ID")) %>' /></b>
                                                            </h2>
                                                            <asp:Literal ID="litText" runat="server" Text='<%# Eval("KB_Text") %>' />
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </div>
                            </asp:View>
                            <asp:View ID="viwKBDetails" runat="server">
                                <asp:HyperLink ID="lnkListAll2" runat="server" Text="<%$ Resources:Knowledgebase, ContentText_KnowledgebaseListing %>"
                                    NavigateUrl="~/Knowledgebase.aspx?list=all" CssClass="link2 floatright" />
                                <h1>
                                    <asp:Literal ID="litKBName" runat="server" /></h1>
                                <div class="summary">
                                    [<strong>#<asp:Literal ID="litKBID" runat="server" /></strong>]
                                    <asp:Literal ID="litUpdateDate" runat="server" Text="<%$ Resources:Kartris,ContentText_LastUpdate %>" />
                                    <asp:Literal ID="litDateUpdated" runat="server" /></div>
                                <p class="article">
                                    <asp:Literal ID="litKBText" runat="server"></asp:Literal></p>
                            </asp:View>
                            <asp:View ID="viwKBNotFound" runat="server">
                                <asp:HyperLink ID="lnkKB2" runat="server" Text="<%$ Resources:Knowledgebase, ContentText_KnowledgebaseListing %>"
                                    NavigateUrl="~/Knowledgebase.aspx?list=all" CssClass="link2 floatright" />
                                <asp:Literal ID="litContentTextContentNotAvailable" runat="server" Text="<%$Resources:Kartris,ContentText_ContentNotAvailable %>"></asp:Literal>
                            </asp:View>
                        </asp:MultiView>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </div>
        </asp:View>
        <asp:View ID="viwNotExist" runat="server">
            <p>
                <asp:Literal ID="litContentTextNotAvailable" runat="server" Text="<%$ Resources: Kartris, ContentText_ContentNotAvailable %>" /></p>
        </asp:View>
    </asp:MultiView>
</asp:Content>
