﻿<%@ control language="VB" autoeventwireup="false" inherits="ProductReviews, KartrisCompiled" %>
<%@ Register TagPrefix="user" TagName="WriteReview" Src="~/Templates/WriteReviewTemplate.ascx" %>
<div class="reviews">
    <ajaxToolkit:TabContainer CssClass=".tab" ID="tbcMain" runat="server" EnableTheming="False">
        <ajaxToolkit:TabPanel ID="tabReadReview" runat="server">
            <HeaderTemplate>
                <asp:Literal ID="litReviewsHeader" runat="server" />
            </HeaderTemplate>
            <ContentTemplate>
                <asp:MultiView ID="mvwReview" runat="server" ActiveViewIndex="0">
                    <asp:View ID="viwReview" runat="server">
                        <asp:Repeater ID="rptReviews" runat="server">
                            <SeparatorTemplate>
                            </SeparatorTemplate>
                            <ItemTemplate>
                                <user:ReviewTemplate ID="UC_ReviewTemplate" runat="server" />
                            </ItemTemplate>
                        </asp:Repeater>
                    </asp:View>
                    <asp:View ID="viwNoReview" runat="server">
                        <asp:Literal ID="litNoReview" runat="server" Text="<%$ Resources:Reviews, ContentText_NoReviews %>"></asp:Literal>
                    </asp:View>
                </asp:MultiView>
            </ContentTemplate>
        </ajaxToolkit:TabPanel>
        <ajaxToolkit:TabPanel runat="server" ID="tabWriteReview">
            <HeaderTemplate>
                <asp:Literal ID="litWriteReviewText" runat="server" Text="" />
            </HeaderTemplate>
            <ContentTemplate>
                <user:WriteReview ID="UC_WriteReview" runat="server" />
                <br />
            </ContentTemplate>
        </ajaxToolkit:TabPanel>
    </ajaxToolkit:TabContainer>
</div>


