﻿<%@ page language="VB" masterpagefile="~/MasterPages/Kartris.master" autoeventwireup="false" inherits="News, KartrisCompiled" enableEventValidation="false" viewStateEncryptionMode="Always" %>

<asp:Content ID="cntMain" ContentPlaceHolderID="cntMain" runat="Server">
    <asp:MultiView ID="mvwMain" runat="server" ActiveViewIndex="0">
        <asp:View ID="viwExist" runat="server">
            <div class="breadcrumbtrail">
                <asp:SiteMapPath ID="smpTrail" PathSeparator="<% $Resources: Kartris, ContentText_BreadcrumbSeparator %>"
                    runat="server" SiteMapProvider="BreadCrumbSiteMap" />
            </div>
            <div id="news">
                <asp:Repeater ID="rptSiteNews" runat="server">
                    <ItemTemplate>
                        <h1>
                            <asp:Literal ID="N_Name" runat="server" Text='<%# Eval("N_Name") %>' /></h1>
                        <div class="news_strapline">
                            <asp:Literal ID="N_StrapLine" runat="server" Text='<%# Eval("N_StrapLine") %>' /></i></strong>
                        </div>
                        <div class="news_lastupdated">
                            <asp:Literal ID="N_LastUpdated" runat="server" Text='<%# Kartris.CkartrisDisplayFunctions.FormatDate(Eval("N_LastUpdated"), "d", Session("lang")) %>' /></div>
                        <div class="news_text">
                            <asp:Literal ID="N_Text" runat="server" Text='<%# Eval("N_Text") %>' />
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
                <user:SiteNews ID="UC_SiteNews" runat="server" TitleTagType="h2" />
            </div>
        </asp:View>
        <asp:View ID="viwNotExist" runat="server">
            <p>
                <asp:Literal ID="litContentTextNotAvailable" runat="server" Text="<%$ Resources: Kartris, ContentText_ContentNotAvailable %>" /></p>
        </asp:View>
    </asp:MultiView>
</asp:Content>
